LibreOffice: rtl/process.h File Reference

LibreOffice LibreOffice 7.4 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Functions
process.h File Reference
`#include "sal/config.h"`
`#include "osl/process.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Functions
SAL_DLLPUBLIC void | rtl_getGlobalProcessId (sal_uInt8 *pTargetUUID)
| gets a 16-byte fixed size identifier which is guaranteed not to change during the current process.
SAL_DLLPUBLIC oslProcessError | rtl_getAppCommandArg (sal_uInt32 nArg, rtl_uString **strCommandArg)
| Get the nArg-th command-line argument passed to the main-function of this process.
SAL_DLLPUBLIC sal_uInt32 | rtl_getAppCommandArgCount (void)
| Returns the number of command line arguments at process start.

## Function Documentation

## ◆ rtl_getAppCommandArg()

SAL_DLLPUBLIC oslProcessError rtl_getAppCommandArg | ( | sal_uInt32 | nArg,
|  | rtl_uString ** | strCommandArg
| ) |  |

Get the nArg-th command-line argument passed to the main-function of this process.

This function differs from osl_getCommandArg() in filtering any bootstrap values given by command args, that means that all arguments starting with "-env:" will be ignored by this function.

Parameters

  [in] | nArg | The number of the argument to return.
  [out] | strCommandArg | The string receives the nArg-th command-line argument.

Return values

  osl_Process_E_None | or does not return.

See also
  osl_getCommandArg()
  rtl_getAppCommandArgCount()

## ◆ rtl_getAppCommandArgCount()

SAL_DLLPUBLIC sal_uInt32 rtl_getAppCommandArgCount | ( | void |  | ) |

Returns the number of command line arguments at process start.

This function differs from osl_getCommandArg() in filtering any bootstrap values given by command args, that means that all arguments starting with "-env:" will be ignored by this function.

Returns
  the number of commandline arguments passed to the main-function of this process.

See also
  osl_getCommandArgCount()
  rtl_getAppCommandArg()

## ◆ rtl_getGlobalProcessId()

SAL_DLLPUBLIC void rtl_getGlobalProcessId | ( | sal_uInt8 * | pTargetUUID | ) |

gets a 16-byte fixed size identifier which is guaranteed not to change during the current process.

The current implementation creates a 16-byte uuid without using the ethernet address of system. Thus the identifier is different from identifiers created in other processes with a very probability.

Parameters

  pTargetUUID | 16 byte of memory

See also
  rtl_createUuid()